/* .nav-link.active, .show > .nav-link {
    color: #fff!important;
    background-color: #1c1c54!important;
  }
  .bg-gradient-info {
    background-image: linear-gradient(180deg, #1c1c54eb, #1c1c54)!important;
    color: #fff!important;
    border-color: #1c1c54eb;
  }
  .bg-gradient-info.btn:hover{
    background-image: linear-gradient(180deg, #37379beb, #37379b)!important;
    color: #fff!important;
    border-color: #1c1c54eb;
  }
  .bg-gradient-success {
    background-image: linear-gradient(180deg, #f5a033eb, #f5a033)!important;
    color: #fff!important;
    border-color: #f5a033;
  }
  .active .page-link {
    background-color: #1c1c54 !important;
    border-color: #1c1c54 !important;
  } */
.hide {
    display: none !important;
}

.show {
    display: block !important;
}

.invisible {
    visibility: hidden;
}

@media (max-width: 576px) {
    .d-sm-none {
        display: none !important;
    }

    #titulo_item {
        font-size: 1.2rem !important;
    }

    .ficha,
    .btn-responsivo {
        display: none !important;
    }
}

@media (min-width: 768px) {
    .li-responsivo {
        display: none !important;
    }

}


.text-puple {
    color: #5B2D91
}

.bg-roxo {
    background-color: #5B2D91;
}

.section-more {
    background-color: #F5C900;
    color: #5B2D91;
}

/*///////  Padronização cor e fonte MODU  ///////*/
body {
    font-family: "Noto Sans", sans-serif;
    font-size: small;
}

.content-wrapper {
    background-color: none !important;
    /* background-color: #371a59  !important; */
}

.card.card-outline .card-header a:hover,
.card.card-outline .card-footer a:hover,
.paginate_button.active a:hover,
.breadcrumb-item a,
.whatsapp a:hover.nav-link,
.btn-link:hover {
    color: #F5C900;
}

a:hover,
.nav-sidebar .nav-icon,
a:hover.nav-link,
.tools a:hover,
.todo-list a:hover,
a:hover.dropdown-item,
.btn-group {
    color: #F5C900 !important;
}


.tools a,
.todo-list a,
.whatsapp a.nav-link {
    color: #371a59;
}

a:hover.small-box-footer,
.btn-group a.btn {
    color: #371a59 !important;
}

.paginate_button.active a,
.card.card-outline a.btn {
    color: #ffff;
}

#thumbnailspdfs a.btn {
    color: #5B2D91;
}

a {
    color: #5B2D91;
    text-decoration: none;
    background-color: transparent;
}

.content-wrapper.kanban {
    background-color: #ffff !important;
}


.breadcrumb-item a:hover {
    color: #F5C900 !important;
}

.text-purple,
.dropdown-item,
.btn-link,
.card.card-outline a {
    color: #5B2D91
}

.layout-navbar-fixed .wrapper .sidebar-dark-purple .brand-link:not([class*="navbar"]) {
    background-color: #5b2d91;
}

.layout-navbar-fixed .dark-mode .wrapper .sidebar-dark-purple .brand-link:not([class*="navbar"]) {
    background-color: #5b2d91;
}

@media (min-width: 576px) {
    .layout-sm-navbar-fixed .dark-mode .wrapper .sidebar-dark-purple .brand-link:not([class*="navbar"]) {
        background-color: #5b2d91;
    }
}

@media (min-width: 768px) {
    .layout-md-navbar-fixed .dark-mode .wrapper .sidebar-dark-purple .brand-link:not([class*="navbar"]) {
        background-color: #5b2d91;
    }
}

@media (min-width: 992px) {
    .layout-lg-navbar-fixed .dark-mode .wrapper .sidebar-dark-purple .brand-link:not([class*="navbar"]) {
        background-color: #343a40;
    }
}

@media (min-width: 1200px) {
    .layout-xl-navbar-fixed .dark-mode .wrapper .sidebar-dark-purple .brand-link:not([class*="navbar"]) {
        background-color: #343a40;
    }
}
.select2-container .select2-selection--single {
    white-space: normal; /* Permite quebra de linha no texto */
    height: auto; /* Ajusta automaticamente a altura */
    min-height: 38px; /* Define uma altura mínima padrão */
    overflow: hidden; /* Evita que o texto transborde */
}

/* Ajusta o estilo interno do dropdown para evitar estouro */
.select2-container .select2-dropdown {
    white-space: normal; /* Permite quebra de linha no dropdown */
    word-wrap: break-word; /* Garante a quebra de palavras longas */
}

/* Corrige o comportamento de itens com texto longo */
.select2-results__option {
    white-space: normal; /* Permite quebra em várias linhas */
    word-wrap: break-word; /* Adapta-se ao tamanho do container */
}

/* Força o dropdown a se ajustar ao tamanho do texto */
.select2-container--default {
    width: 100% !important;
    box-sizing: border-box;
}

/* Força o dropdown a se ajustar ao tamanho do texto */
.select2-container--default
.select2-selection--single
.select2-selection__rendered {
    white-space: normal !important; /* Permite quebra de linha */
    word-wrap: break-word !important; /* Ajusta o texto */
    word-break: break-word !important;
    padding-right: .5em; /* para não colar no canto */
}

.sidebar-dark-purple .nav-sidebar>.nav-item>.nav-link.active,
.select2-container--default .select2-results__option--highlighted[aria-selected],
.select2-container--default .select2-results__option--highlighted[aria-selected]:hover {
    background-color: #5b2d91;
    color: #fff;
}

.sidebar-dark-purple .nav-sidebar.nav-legacy>.nav-item>.nav-link.active {
    border-color: #5b2d91;
}

.dark-mode .sidebar-dark-purple .nav-sidebar>.nav-item>.nav-link.active {
    background-color: #3f6791;
    color: #fff;
}

.dark-mode .sidebar-dark-purple .nav-sidebar.nav-legacy>.nav-item>.nav-link.active {
    border-color: #3f6791;
}

[class*="sidebar-dark-"],
.navbar-purple {
    background-color: #5b2d91 !important;
}

.layout-navbar-fixed .wrapper .sidebar-light-primary .brand-link:not([class*="navbar"]),
.page-item.active .page-link {
    background-color: #5b2d91;
}

.bg-primary,
.badge-primary,
.card-primary:not(.card-outline)>.card-header,
.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background-color: #5b2d91 !important;
    color: #fff !important;
}

.page-item:not(.active) .page-link {
    color: #5b2d91 !important;
}

.page-item.active .page-link {
    border-color: #5b2d91 !important;
}

.bg-gradient-primary.btn:not(:disabled):not(.disabled):active,
.bg-gradient-primary.btn:not(:disabled):not(.disabled).active,
.bg-gradient-primary.btn:active,
.bg-gradient-primary.btn.active .btn-primary,
.bg-gradient-primary,
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #5b2d91 !important;
    border: 0 solid #5353c1 !important;
    background: #5b2d91 linear-gradient(180deg, #5353c1, #5b2d91) repeat-x !important;
    color: #fff;
}

.bg-warning,
.badge-warning,
.card-warning:not(.card-outline)>.card-header,
.small-box.bg-warning {
    background-color: #F5C900 !important;
    color: #fff !important;
}

.small-box.bg-orange,
.bg-orange>a,
.bg-warning>a {
    color: #fff !important;
}

.card-primary.card-outline {
    border-top: 3px solid #5b2d91;
}

.card-warning.card-outline {
    border-top: 3px solid #F5C900;
}

a:hover.btn-outline-warning {
    color: #fff !important;
}

.btn-outline-primary {
    color: #5b2d91;
    border-color: #5b2d91;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #5b2d91;
    border-color: #5b2d91;
}

a:hover.bg-gradient-primary.btn {
    background: #F5C900 !important;
    border-color: transparent;
    color: #fff !important;
}

.bg-gradient-primary.btn:hover {
    background: #F5C900 linear-gradient(180deg, #c9a400, #997d00) repeat-x !important;
    border-color: transparent;
    color: #ececec;
}

.nav-pills .nav-link:not(.active):hover {
    color: #5b2d91;
}

.dropdown-item.active,
.dropdown-item:active {
    color: #fff !important;
    text-decoration: none;
    background-color: #5b2d91;
}

.error {
    color: #dc3545;
    background: #f5c80056 !important;
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000000a3;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid rgba(0, 0, 0, 0.1);
    border-top-color: #5b2d91;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.table th, .table td{
    padding: 0.5rem;
}

.filtro-mobile .card {
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.125), 0 1px 3px rgb(0 0 0 / 7%);
}

.modal-footer .btn-primary:hover, .box-profile .btn-primary:hover {
    color: #fff!important;
}

.modal-footer .btn-primary:active {
    background-color: #5b2d91; /* Altera a cor de fundo */
    border-color: #5b2d91; /* Alteração da borda (opcional) */
}

#tab-general-info label {
    color: #6c757d;
}

.dataTables_processing.card {
    background-color: #5b2d91;
    color: #fff;
}

a:hover.btn-primary {
    color: #5b2d91 !important;
}

.btn-primary:not(:disabled):not(.disabled):active {
    background-color: #7139b3;
    border-color: #5b2d91;
    color: #fff !important;
}

#lista_notificacoes .dropdown-item-title {
    font-size: .875em;
}

#lista_notificacoes {
    max-height: calc(100vh - 150px); /* ajuste a margem conforme o restante da tela */
    overflow-y: auto;
}
